## onionshare 1.3

=== install/requirements.txt ===
click==6.7
Flask==0.12.2
itsdangerous==0.24
Jinja2==2.10
MarkupSafe==1.0
PyInstaller==3.3.1
PyQt5==5.9.2
PySocks==1.6.7
sip==4.19.6
stem==1.6.0
Werkzeug==0.14.1

## onionshare 0.6

=== debian/changelog ===
onionshare (0.6-3) unstable; urgency=medium

  *  debian/control:
     * Add python-qt4 dependency.

 --  Ulrike Uhlig <u@451f.org>  Fri, 17 Oct 2014 18:34:40 +0200

onionshare (0.6-2) unstable; urgency=medium

  * debian/copyright:
    * Correct copyright for onionshare/socks.py (Closes: #765368)

 --  Ulrike Uhlig <u@451f.org>  Thu, 16 Oct 2014 14:13:13 +0200

onionshare (0.6-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    * Move package to section net (Closes: #764038)
    * Add torbrowser-launcher as dependency
      and move to section contrib (Closes: #762890)
    * Use new standards version
  * Add debian/watch file

 -- Ulrike Uhlig <u@451f.org>  Wed, 15 Oct 2014 10:45:01 +0200

onionshare (0.5-1) unstable; urgency=medium

  * Initial release (Closes: #752885)
  * Source package automatically created by stdeb 0.6.0+git

 -- Ulrike Uhlig <u@451f.org>  Sun, 24 Aug 2014 22:00:56 +0200

=== debian/control ===
Source: onionshare
Maintainer: Anonymity Tools Debian Maintainers <pkg-anonymity-tools@lists.alioth.debian.org>
Uploaders: Ulrike Uhlig <u@451f.org>
Section: contrib/net
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 9.20120909~)
X-Python-Version: >= 2.6
Standards-Version: 3.9.6
Homepage: https://onionshare.org
Vcs-Git: git://anonscm.debian.org/collab-maint/onionshare.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/onionshare.git

Package: onionshare
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-flask, python-stem, python-qt4, torbrowser-launcher
Description: Share a file over Tor Hidden Services anonymously and securely.
 OnionShare lets you securely and anonymously share a file of any size with
 someone. It works by starting a web server, making it accessible as a Tor
 hidden service, and generating an unguessable URL to access and download
 the file. It doesn't require setting up a server on the Internet somewhere
 or using a third party filesharing service. You host the file on your own
 computer and use a Tor hidden service to make it temporarily accessible
 over the Internet. The other user just needs to use the Tor Browser and
 to enter the URL to download the file from you.
 .

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.6.0+git at
# Sun, 24 Aug 2014 22:00:56 +0200

%:
	dh $@ --with python2 --buildsystem=python_distutils

## onionshare 0.7

=== debian/changelog ===
onionshare (0.7-1) unstable; urgency=medium

  * New upstream release (Closes: #785702)

 -- Ulrike Uhlig <u@451f.orgs>  Tue, 19 May 2015 13:16:50 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Package: onionshare
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-flask, python-stem, python-qt4, torbrowser-launcher
+Suggests: tor
 Description: Share a file over Tor Hidden Services anonymously and securely.
  OnionShare lets you securely and anonymously share a file of any size with
  someone. It works by starting a web server, making it accessible as a Tor

## onionshare 0.8.1

=== debian/changelog ===
onionshare (0.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/gbp.conf:
    * Use pristine-tar.

 -- Ulrike Uhlig <u@451f.org>  Mon, 04 Jan 2016 17:58:30 +0100

onionshare (0.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Mon, 19 Oct 2015 16:13:09 +0200

=== debian/control ===
Source: onionshare
Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders: Ulrike Uhlig <u@451f.org>
Section: contrib/net
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 9.20120909~)
X-Python-Version: >= 2.6
Standards-Version: 3.9.6
Homepage: https://onionshare.org
Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/onionshare.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-privacy/packages/onionshare.git

Package: onionshare
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-flask, python-stem (>= 1.2.2), python-qt4, torbrowser-launcher
Suggests: tor
Description: Share a file over Tor Hidden Services anonymously and securely
 OnionShare lets you securely and anonymously share a file of any size with
 someone. It works by starting a web server, making it accessible as a Tor
 hidden service, and generating an unguessable URL to access and download
 the file. It doesn't require setting up a server on the Internet somewhere
 or using a third party filesharing service. You host the file on your own
 computer and use a Tor hidden service to make it temporarily accessible
 over the Internet. The other user just needs to use the Tor Browser and
 to enter the URL to download the file from you.
 .

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,6 @@
 %:
 	dh $@ --with python2 --buildsystem=python_distutils
 
-
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf *.egg-info

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/onionshare-$1\.tar\.gz/ \
  https://github.com/micahflee/onionshare/tags .*/v?(\d\S*)\.tar\.gz

## onionshare 0.9.1

=== debian/changelog ===
onionshare (0.9.1-1~bpo8+2) jessie-backports; urgency=medium

  * Also depend on python3-stem >= 1.4.0 on runtime.
  * Add anonym <anonym@riseup.net> to Uploaders.

 -- anonym <anonym@riseup.net>  Wed, 07 Dec 2016 18:22:34 +0100

onionshare (0.9.1-1~bpo8+1) jessie-backports; urgency=medium

  * Team upload.

  [ anonym ]
  * Rebuild for jessie-backports.

  [ intrigeri ]
  * Adjust gbp.conf for jessie-backports.

 -- anonym <anonym@riseup.net>  Thu, 24 Nov 2016 16:49:36 +0100

onionshare (0.9.1-1) unstable; urgency=medium

  * New upstream version.
  * debian/README.source:
    * Add build instructions.
  * debian/patches:
    * Drop obsolete patches.
  * debian/rules:
    Add env vars so that pybuild can find nosetests.

  [ Ximin Luo ]
  * Update to latest Standards-Version; no changes required.

 -- Ulrike Uhlig <u@451f.org>  Thu, 08 Sep 2016 10:45:05 +0200

onionshare (0.9-1) UNRELEASED; urgency=medium

  * New upstream version.
  * debian/control:
    * Bump to new standards version.
    * Update Depends: for Python3 and Qt5.
    * Update Build-Depends: for Python3 and Qt5.
  * debian/rules:
    * Update build system to pybuild.

 -- Ulrike Uhlig <u@451f.org>  Sun, 17 Apr 2016 20:54:05 +0200

onionshare (0.8.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ulrike Uhlig <u@451f.org>  Mon, 07 Mar 2016 14:52:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: onionshare
 Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
-Uploaders: Ulrike Uhlig <u@451f.org>
+Uploaders: Ulrike Uhlig <u@451f.org>, anonym <anonym@riseup.net>
 Section: contrib/net
 Priority: optional
-Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 9.20120909~)
-X-Python-Version: >= 2.6
-Standards-Version: 3.9.6
+Build-Depends: dh-python, python3-setuptools, python3-all, python3-distutils-extra, python3-nose, python3-flask, python3-stem (>= 1.4.0), python3-pyqt5, debhelper (>= 9.20120909~)
+X-Python3-Version: >= 3.2
+Standards-Version: 3.9.8
 Homepage: https://onionshare.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/onionshare.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-privacy/packages/onionshare.git
 
 Package: onionshare
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-flask, python-stem (>= 1.2.2), python-qt4, torbrowser-launcher
+Depends: ${misc:Depends}, ${python3:Depends}, python3-flask, python3-stem (>= 1.4.0), python3-pyqt5, torbrowser-launcher
 Suggests: tor
 Description: Share a file over Tor Hidden Services anonymously and securely
  OnionShare lets you securely and anonymously share a file of any size with

## onionshare 0.9.2

=== debian/changelog ===
onionshare (0.9.2-1) unstable; urgency=medium

  * debian/control:
    * Demote dependency on torbrowser-launcher to
      "Recommends". (Closes: #862391)
    * Move pkg to main, as it does not depend on
      torbrowser-launcher anymore.
  * debian/README:
    * Add instructions for running onionshare.

 -- Ulrike Uhlig <u@451f.org>  Fri, 26 May 2017 13:44:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: onionshare
 Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
 Uploaders: Ulrike Uhlig <u@451f.org>, anonym <anonym@riseup.net>
-Section: contrib/net
+Section: net
 Priority: optional
 Build-Depends: dh-python, python3-setuptools, python3-all, python3-distutils-extra, python3-nose, python3-flask, python3-stem (>= 1.4.0), python3-pyqt5, debhelper (>= 9.20120909~)
 X-Python3-Version: >= 3.2
@@ -12,8 +12,9 @@
 
 Package: onionshare
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-flask, python3-stem (>= 1.4.0), python3-pyqt5, torbrowser-launcher
+Depends: ${misc:Depends}, ${python3:Depends}, python3-flask, python3-stem (>= 1.4.0), python3-pyqt5
 Suggests: tor
+Recommends: torbrowser-launcher
 Description: Share a file over Tor Hidden Services anonymously and securely
  OnionShare lets you securely and anonymously share a file of any size with
  someone. It works by starting a web server, making it accessible as a Tor

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
export PYBUILD_BEFORE_TEST=cp -r $(CURDIR)/resources {build_dir}
export PYBUILD_AFTER_TEST=rm -r {build_dir}/resources

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf *.egg-info

## onionshare 1.3

=== debian/changelog ===
onionshare (1.3-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Ulrike Uhlig <ulrike@debian.org>  Thu, 25 Oct 2018 15:45:15 +0200

onionshare (1.3-1) unstable; urgency=medium

  * New upstream version:
    - Use system tor.
    - Support for meek_lite pluggable transports (Amazon and Azure).
    - Support for custom obfs4 and meek_lite bridges.
    - Support for Tor bridges, including obfs4proxy.
    - Support for stealth onion services (advanced option).
    - Ability to use a persistent URL.
    - Switched to EFF's diceware wordlist for slugs.
    - Ability to cancel share before it starts.
    - Add or delete multiple files and folders at once.
    - Auto-stop timer, to stop OnionShare at a specified time.
    - Get notification when Tor connection dies.
    - Supply custom settings file as a command line arg.
    - Improved AppArmor profiles.
    - Major UI redesign.
    - Update translations.
  * debian/control:
    - Update VCS fields for migration to salsa.
    - Update Build-depends.
    - Update Depends:
      - tor is needed to run onionshare.
    - Update uploader email.
  * debian/rules:
    - Delete unnecessary test configuration.
    - Add rule to delete unnecessary license file.
  * debian/README.source:
    - Improve.

 -- Ulrike Uhlig <ulrike@debian.org>  Thu, 12 Apr 2018 11:51:47 +0200

onionshare (0.9.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Adjust gb.conf for stretch-backports.

 -- Ulrike Uhlig <ulrike@debian.org>  Thu, 22 Jun 2017 22:19:35 +0200

=== debian/control ===
Source: onionshare
Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders: Ulrike Uhlig <ulrike@debian.org>, anonym <anonym@riseup.net>
Section: net
Priority: optional
Build-Depends: dh-python, python3-all, python3-setuptools, python3-distutils-extra, python3-flask, python3-nose, python3-stem (>= 1.4.0), python3-pyqt5, python3-pytest, python-nautilus, debhelper (>= 9.20120909~)
X-Python3-Version: >= 3.2
Standards-Version: 3.9.8
Homepage: https://onionshare.org
Vcs-Git: https://salsa.debian.org/pkg-privacy-team/onionshare.git
Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/onionshare

Package: onionshare
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-flask, python3-stem (>= 1.4.0), python3-pyqt5, obfs4proxy, tor
Recommends: torbrowser-launcher
Description: Share a file over Tor Hidden Services anonymously and securely
 OnionShare lets you securely and anonymously share a file of any size with
 someone. It works by starting a web server, making it accessible as a Tor
 hidden service, and generating an unguessable URL to access and download
 the file. It doesn't require setting up a server on the Internet somewhere
 or using a third party filesharing service. You host the file on your own
 computer and use a Tor hidden service to make it temporarily accessible
 over the Internet. The other user just needs to use the Tor Browser and
 to enter the URL to download the file from you.
 .

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf *.egg-info
	rm share/license.txt

## onionshare 1.3.2

=== install/requirements.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 PyInstaller==3.3.1
 PyQt5==5.9.2
 PySocks==1.6.7
+requests==2.19.1
 sip==4.19.6
 stem==1.6.0
 Werkzeug==0.14.1

=== debian/changelog ===
onionshare (1.3.2-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Make torbrowser-launcher a hard dependency.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 24 Feb 2019 09:27:21 -0800

onionshare (1.3.2-1) unstable; urgency=medium

  * New upstream version. (Closes: #915859.)
    - In debug mode, stop saving flask debug log in /tmp, where all users can
      access it
    - Updated Tor to 0.2.3.10.
  * debian/README.source:
    - Improve instructions for updating and building this package.
  * debian/gbp.conf:
    - Improve rules.
  * debian/rules:
    - Adapt.

 -- Ulrike Uhlig <ulrike@debian.org>  Thu, 13 Dec 2018 16:20:37 +0100

=== debian/control ===
Source: onionshare
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders: Ulrike Uhlig <ulrike@debian.org>, anonym <anonym@riseup.net>
Section: net
Priority: optional
Build-Depends: dh-python,
               python3-all,
               python3-setuptools,
               python3-distutils-extra,
               python3-flask,
               python3-nose,
               python3-stem (>= 1.4.0),
               python3-pyqt5,
               python3-pytest,
               python-nautilus,
               debhelper (>= 9.20120909~)
X-Python3-Version: >= 3.2
Standards-Version: 4.1.4
Homepage: https://onionshare.org
Vcs-Git: https://salsa.debian.org/pkg-privacy-team/onionshare.git
Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/onionshare

Package: onionshare
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-flask,
         python3-stem (>= 1.4.0),
         python3-pyqt5,
         obfs4proxy,
         tor,
         torbrowser-launcher
Description: Share a file over Tor Hidden Services anonymously and securely
 OnionShare lets you securely and anonymously share a file of any size with
 someone. It works by starting a web server, making it accessible as a Tor
 hidden service, and generating an unguessable URL to access and download
 the file. It doesn't require setting up a server on the Internet somewhere
 or using a third party filesharing service. You host the file on your own
 computer and use a Tor hidden service to make it temporarily accessible
 over the Internet. The other user just needs to use the Tor Browser and
 to enter the URL to download the file from you.
 .

## onionshare 2.0

=== debian/changelog ===
onionshare (2.0-3) unstable; urgency=medium

  * Add missing build dependency python3-requests. (Closes: #925903)

 -- Ulrike Uhlig <ulrike@debian.org>  Fri, 05 Apr 2019 17:48:53 +0200

onionshare (2.0-2) unstable; urgency=medium

  * debian/control:
    - Fix dependencies (Closes: #925328)
    - Remove recommended torbrowser-launcher. (Closes: #916889)

 -- Ulrike Uhlig <ulrike@debian.org>  Wed, 27 Mar 2019 14:03:35 +0100

onionshare (2.0-1) unstable; urgency=medium

  * New upstream version. (Closes: #922883)
    - Receiver mode: receive files with OnionShare
    - Support for next generation onion services
    - Public mode for public uses of OnionShare
    - Sharing a single file without ZIP compression
    - Full support for meek_lite (Azure) bridges
    - Allow selecting your language from a dropdown
    - New translations
    - Major refactoring of code base
  * debian/control:
    - Declare standards 4.3.0.
    - Update build-depends.
  * debian/missing-sources:
    - add jQuery 3.3.1 to make Lintian happy.

 -- Ulrike Uhlig <ulrike@debian.org>  Fri, 22 Mar 2019 9:21:00 +0100

=== debian/control ===
Source: onionshare
Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders: Ulrike Uhlig <ulrike@debian.org>, anonym <anonym@riseup.net>
Section: net
Priority: optional
Build-Depends: debhelper (>= 9.20120909~), dh-python, python3-all, python3-crypto, python3-distutils-extra, python3-flask, python-nautilus, python3-nose, python3-pyqt5, python3-pytest, python3-requests, python3-setuptools, python3-socks, python3-stem (>= 1.4.0)
X-Python3-Version: >= 3.2
Standards-Version: 4.3.0
Homepage: https://onionshare.org
Vcs-Git: https://salsa.debian.org/pkg-privacy-team/onionshare.git
Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/onionshare

Package: onionshare
Architecture: all
Depends: ${misc:Depends}, obfs4proxy, ${python3:Depends}, python3-crypto, python3-flask, python3-pyqt5, python3-socks, python3-stem (>= 1.4.0), tor
Description: Share a file over Tor Hidden Services anonymously and securely
 OnionShare lets you securely and anonymously share a file of any size with
 someone. It works by starting a web server, making it accessible as a Tor
 hidden service, and generating an unguessable URL to access and download
 the file. It doesn't require setting up a server on the Internet somewhere
 or using a third party filesharing service. You host the file on your own
 computer and use a Tor hidden service to make it temporarily accessible
 over the Internet. The other user just needs to use the Tor Browser and
 to enter the URL to download the file from you.
 .

## onionshare 2.1

=== install/requirements.txt ===
altgraph==0.16.1
certifi==2019.3.9
chardet==3.0.4
Click==7.0
Flask==1.0.2
future==0.17.1
idna==2.8
itsdangerous==1.1.0
Jinja2==2.10.1
macholib==1.11
MarkupSafe==1.1.1
pefile==2019.4.18
pycryptodome==3.8.1
PyQt5==5.12.1
PyQt5-sip==4.19.15
PySocks==1.6.8
requests==2.21.0
stem==1.7.1
urllib3==1.24.2
Werkzeug==0.15.2

=== debian/changelog ===
onionshare (2.1-1) unstable; urgency=medium

  * New upstream release, uploading without binaries to ensure migration to
    testing. (Closes: #928904)
  * Add myself to Uploaders field.
  * Correct spelling, format and syntax errors in manpage.
  * Update debian/copyright; socks.py no longer in upstream.
  * Drop trailing quasi-newline in package long description.
  * Misc updates:
    * Drop "ancient" X-Python3-Version specifier (satisfied in oldoldstable).
    - Move to debhelper compatibility level 12.
    - Use the debhelper-compat virtual package, dropping debian/compat.
    - Bump Standards-Version to 4.4.0.
  * debian/watch:
    - Ignore "dev" releases.
    - Move to version 4 format.

 -- Chris Lamb <lamby@debian.org>  Sat, 10 Aug 2019 15:02:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: onionshare
 Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
-Uploaders: Ulrike Uhlig <ulrike@debian.org>, anonym <anonym@riseup.net>
+Uploaders: Ulrike Uhlig <ulrike@debian.org>, anonym <anonym@riseup.net>, Chris Lamb <lamby@debian.org>
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 9.20120909~), dh-python, python3-all, python3-crypto, python3-distutils-extra, python3-flask, python-nautilus, python3-nose, python3-pyqt5, python3-pytest, python3-requests, python3-setuptools, python3-socks, python3-stem (>= 1.4.0)
-X-Python3-Version: >= 3.2
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-crypto, python3-distutils-extra, python3-flask, python-nautilus, python3-nose, python3-pyqt5, python3-pytest, python3-requests, python3-setuptools, python3-socks, python3-stem (>= 1.4.0)
+Standards-Version: 4.4.0
 Homepage: https://onionshare.org
 Vcs-Git: https://salsa.debian.org/pkg-privacy-team/onionshare.git
 Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/onionshare
@@ -22,4 +21,3 @@
  computer and use a Tor hidden service to make it temporarily accessible
  over the Internet. The other user just needs to use the Tor Browser and
  to enter the URL to download the file from you.
- .

## onionshare 2.2

=== install/requirements.txt ===
altgraph==0.16.1
certifi==2019.9.11
chardet==3.0.4
Click==7.0
Flask==1.1.1
Flask-HTTPAuth==3.3.0
future==0.17.1
idna==2.8
itsdangerous==1.1.0
Jinja2==2.10.1
macholib==1.11
MarkupSafe==1.1.1
pefile==2019.4.18
pycryptodome==3.9.0
PyInstaller==3.5
PyQt5==5.13.1
PyQt5-sip==4.19.19
PySocks==1.7.0
requests==2.22.0
stem==1.7.1
urllib3==1.25.3
Werkzeug==0.15.6

=== debian/changelog ===
onionshare (2.2-3) unstable; urgency=medium

  [ Ulrike Uhlig ]
  * Correct and update manpages. (Closes: #965055)
  * Document --website option in manpages. (Closes: #965152)
  * Replace python3-crypto by python3-pycryptodome (Closes: #971299)
  * Add debian/patches/cryptodome.diff to use the cryptodome namespace.
    Note that this does not fix the root cause in #886291.

  [ Clément Hermann ]
  * manpage: fix groff warning (missing escape)
  * d/Copyright: Add missing license info for appstream metadata
  * d/missing-sources: refresh jquery to 3.4.0
  * d/patches/cryptodome.diff: Add DEP-3 headers
  * d/control:
    - declare compliance with Debian Policy 4.5.1 (no change)
    - add myself to uploaders

 -- Clément Hermann <nodens@debian.org>  Mon, 11 Jan 2021 12:12:11 +0100

onionshare (2.2-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Replace python-nautilus in Build-Depends with python3-nautilus.
    (Closes: #943137)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository,
    Repository-Browse.
  * Fix field name typos in debian/copyright.

 -- Chris Lamb <lamby@debian.org>  Fri, 24 Apr 2020 11:19:48 +0100

onionshare (2.2-1) unstable; urgency=medium

  * New upstream release.
  * Run wrap-and-sort to minimise future diff noise.
  * Add python3-flask-httpauth to binary and build dependencies.
  * Specify Rules-Requires-Root: no.

 -- Chris Lamb <lamby@debian.org>  Mon, 04 Nov 2019 13:15:12 -0800

=== debian/control ===
Source: onionshare
Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders:
 Ulrike Uhlig <ulrike@debian.org>,
 anonym <anonym@riseup.net>,
 Clément Hermann <nodens@debian.org>,
Section: net
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-pycryptodome,
 python3-distutils-extra,
 python3-flask,
 python3-flask-httpauth,
 python3-nautilus,
 python3-nose,
 python3-pyqt5,
 python3-pytest,
 python3-requests,
 python3-setuptools,
 python3-socks,
 python3-stem (>= 1.4.0),
Standards-Version: 4.5.1
Homepage: https://onionshare.org
Vcs-Git: https://salsa.debian.org/pkg-privacy-team/onionshare.git
Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/onionshare
Rules-Requires-Root: no

Package: onionshare
Architecture: all
Depends:
 obfs4proxy,
 python3-pycryptodome,
 python3-flask,
 python3-flask-httpauth,
 python3-pyqt5,
 python3-socks,
 python3-stem (>= 1.4.0),
 tor,
 ${misc:Depends},
 ${python3:Depends},
Description: Share a file over Tor Hidden Services anonymously and securely
 OnionShare lets you securely and anonymously share a file of any size with
 someone. It works by starting a web server, making it accessible as a Tor
 hidden service, and generating an unguessable URL to access and download
 the file. It doesn't require setting up a server on the Internet somewhere
 or using a third party filesharing service. You host the file on your own
 computer and use a Tor hidden service to make it temporarily accessible
 over the Internet. The other user just needs to use the Tor Browser and
 to enter the URL to download the file from you.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,3 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf *.egg-info
-	rm share/license.txt

## onionshare 2.6

=== debian/changelog ===
onionshare (2.6-6ubuntu1) noble; urgency=medium

  * Use packaging.version instead of distutils.version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Feb 2024 04:38:41 +0100

onionshare (2.6-6) experimental; urgency=medium

  [ Pushkar Kulkarni ]
  * Adapt to the python3-werkzeug 3.0.1 urls API (Closes: #1061360)

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.6.2 (no changes needed).
  * Update patch to depend on Flask 3.x

 -- Sandro Knauß <hefee@debian.org>  Wed, 24 Jan 2024 22:33:15 +0100

onionshare (2.6-5) unstable; urgency=medium

  * Install desktp/appmetadata at expected places. (Closes: #1036691)
  * Install icons under usr/share/icons.

 -- Sandro Knauß <hefee@debian.org>  Tue, 13 Jun 2023 12:23:22 +0200

onionshare (2.6-4) unstable; urgency=medium

  * Mark chat-server test as flaky, as it fails on i386 also randomly.

 -- Sandro Knauß <hefee@debian.org>  Fri, 05 May 2023 14:41:35 +0200

onionshare (2.6-3) unstable; urgency=medium

  * source only upload.

 -- Sandro Knauß <hefee@debian.org>  Thu, 04 May 2023 15:24:12 +0200

onionshare (2.6-2) unstable; urgency=medium

  * The verbose flag makes the chat test not flaky. (Closes: #1034688)

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 May 2023 22:27:57 +0200

onionshare (2.6-1) unstable; urgency=medium

  * new upstream release
  * d/copyright: update upstream source + contact
  * Refresh poetry flask patch

 -- Clément Hermann <nodens@debian.org>  Sat, 19 Nov 2022 17:38:57 +0100

onionshare (2.5-2) unstable; urgency=medium

  * Source only upload to allow migration to testing

 -- Clément Hermann <nodens@debian.org>  Sat, 22 Oct 2022 12:42:21 +0200

onionshare (2.5-1) unstable; urgency=medium

  [ Ulrike Uhlig ]
  * New upstream version.
  * Remove myself from uploaders

  [ Clément Hermann ]
  * New upstream version 2.4
  * Remove obsolete patch for cryptodome
  * Update debian/rules to follow upstream changes
  * d/control: Reorder Build-depends, add some missing ones for tests
  * Add a patch to use pytest-3 instead of just pytest

  [ Sandro Knauß ]
  * New upstream release 2.5 (Closes: #965150, #998402, #965088, #997499)
  * Update copyright for 2.5.
  * Update Build-Depends.
  * Remove python3-nose from build-deps. (Closes: 1018428)
  * Switch to pybuild pyproject plugin
    (to detect python dependencies automatically).
  * Built cli/desktop in two different packages.
  * Give pybuild the missing dependency information.
  * Do not complain about missing-source for the actual source ;)
  * Update manpages for 2.5 version.
  * Add patch to work with Flask version in Debian.
  * Recommend obfs4proxy instead of Depend (Closes: #1004375)
  * Enable Salsa CI.
  * remove not needed patch
  * Fix cli tests and mark gui tests to not fail the build.
  * Replace minified javascript with a known version.
  * Update copyright file.
  * Fix copyright name for debian files.
  * Add autopkgtests.
  * resort copyright file correctly.
  * Move resources files to /usr/share
  * Add lintian-overrides.

  [ Clément Hermann ]
  * d/copyright: Update http urls to https ones
  * d/upstream/metadata: update URLs
  * Requires python3-stem >= 1.8.1 to allow v3 onion service client
    authorization
  * bump compat level to recommended version (13)
  * Declare compliance with Standards-Version 4.6.1

 -- Clément Hermann <nodens@debian.org>  Fri, 21 Oct 2022 12:44:10 +0200

=== debian/control ===
Source: onionshare
Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders:
 anonym <anonym@riseup.net>,
 Clément Hermann <nodens@debian.org>
Section: net
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 obfs4proxy,
 pybuild-plugin-pyproject,
 python3,
 python3-distutils-extra,
 python3-flask <!nocheck>,
 python3-flask-httpauth <!nocheck>,
 python3-flask-socketio <!nocheck>,
 python3-nacl <!nocheck>,
 python3-packaging,
 python3-poetry,
 python3-psutil <!nocheck>,
 python3-pyside2.qtcore <!nocheck>,
 python3-pyside2.qttest <!nocheck>,
 python3-pyside2.qtwidgets <!nocheck>,
 python3-pytestqt <!nocheck>,
 python3-pytest <!nocheck>,
 python3-qrcode <!nocheck>,
 python3-requests <!nocheck>,
 python3-setuptools,
 python3-socks <!nocheck>,
 python3-stem (>= 1.8.1) <!nocheck>,
 python3-unidecode <!nocheck>,
 uglifyjs,
 tor <!nocheck>,
 xauth <!nocheck>,
 xvfb <!nocheck>
Standards-Version: 4.6.2
Homepage: https://onionshare.org
Vcs-Git: https://salsa.debian.org/pkg-privacy-team/onionshare.git
Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/onionshare
Rules-Requires-Root: no

Package: onionshare
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-packaging,
Description: Share a file over Tor Hidden Services anonymously and securely
 OnionShare lets you securely and anonymously share a file of any size with
 someone. It works by starting a web server, making it accessible as a Tor
 hidden service, and generating an unguessable URL to access and download
 the file. It doesn't require setting up a server on the Internet somewhere
 or using a third party filesharing service. You host the file on your own
 computer and use a Tor hidden service to make it temporarily accessible
 over the Internet. The other user just needs to use the Tor Browser and
 TO Enter the URL to download the file from you.

Package: onionshare-cli
Architecture: all
Depends:
 tor,
 ${misc:Depends},
 ${python3:Depends},
 python3-packaging,
Recommends: obfs4proxy
Description: Share a file over Tor Hidden Services anonymously and securely - cli
 OnionShare lets you securely and anonymously share a file of any size with
 someone. It works by starting a web server, making it accessible as a Tor
 hidden service, and generating an unguessable URL to access and download
 the file. It doesn't require setting up a server on the Internet somewhere
 or using a third party filesharing service. You host the file on your own
 computer and use a Tor hidden service to make it temporarily accessible
 over the Internet. The other user just needs to use the Tor Browser and
 TO Enter the URL to download the file from you.
 .
 This package is the Commandline interface of Onionshare.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%onionshare-$1.tar.gz%" \
 https://github.com/micahflee/onionshare/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## onionshare 2.6.2

=== debian/changelog ===
onionshare (2.6.2-5) unstable; urgency=medium

  * Add python3-colorama to B-D. (Closes: #1091943)
  * Remove python3-distutils-extra from B-Ds (not needed anymore).

 -- Sandro Knauß <hefee@debian.org>  Thu, 13 Feb 2025 19:13:41 +0100

onionshare (2.6.2-4) unstable; urgency=medium

  * Remove cython build dependency. (Closes: 1071174)

 -- Sandro Knauß <hefee@debian.org>  Tue, 01 Oct 2024 21:45:01 +0200

onionshare (2.6.2-3) unstable; urgency=medium

  * Switch B-D from QtPy to PySide6.
  * remove patches to use QtPy.
  * autopkgtests: Do not check against PySide6 usage in code anymore.
  * Add myself as Uploaders.

 -- Sandro Knauß <hefee@debian.org>  Tue, 06 Aug 2024 19:27:28 +0200

onionshare (2.6.2-2) unstable; urgency=medium

  * Team upload.
  * Add patch to make onionshare to work with Python 3.12 (Closes: 1074522)

 -- Sandro Knauß <hefee@debian.org>  Fri, 19 Jul 2024 23:45:57 +0200

onionshare (2.6.2-1) unstable; urgency=medium

  * Team upload.
  [ Sandro Knauß ]
  * New upstream release 2.6.2.
  * Add missing dependencies for tests.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Set upstream metadata fields: Bug-Submit.
  * Update patch hunks.
  * Add patches to use QtPy instead of PySide6.
    + Add qtpy to build-deps for tests.
    + gevent is needed for the passing tests.
  * Actually make pybuild to execute the tests successfully.
  * Do not install onionshare_cli script within onionshre package.
  * Remove 0002-werkzeug-3.0.1-compat.patch: 2.6.1 already use Flask 3.X.
  * Autopkgtest for checking if we use PyQt and not PySide2/6.
  * Update copyright year.
  * Delete not needed lintian-overrides

 -- Sandro Knauß <hefee@debian.org>  Fri, 03 May 2024 01:57:53 +0200

onionshare (2.6-7) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Submit.
  * Release to unstable as Flask 3.x enters unstable now.

 -- Sandro Knauß <hefee@debian.org>  Wed, 14 Feb 2024 18:22:33 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
 Uploaders:
  anonym <anonym@riseup.net>,
- Clément Hermann <nodens@debian.org>
+ Clément Hermann <nodens@debian.org>,
+ Sandro Knauß <hefee@debian.org>
 Section: net
 Priority: optional
 Build-Depends:
@@ -11,17 +12,19 @@
  obfs4proxy,
  pybuild-plugin-pyproject,
  python3,
- python3-distutils-extra,
+ python3-colorama <!nocheck>,
  python3-flask <!nocheck>,
+ python3-flask-compress <!nocheck>,
  python3-flask-httpauth <!nocheck>,
  python3-flask-socketio <!nocheck>,
+ python3-gevent <!nocheck>,
+ python3-gevent-websocket <!nocheck>,
  python3-nacl <!nocheck>,
- python3-packaging,
  python3-poetry,
  python3-psutil <!nocheck>,
- python3-pyside2.qtcore <!nocheck>,
- python3-pyside2.qttest <!nocheck>,
- python3-pyside2.qtwidgets <!nocheck>,
+ python3-pyside6.qtcore <!nocheck>,
+ python3-pyside6.qttest <!nocheck>,
+ python3-pyside6.qtwidgets <!nocheck>,
  python3-pytestqt <!nocheck>,
  python3-pytest <!nocheck>,
  python3-qrcode <!nocheck>,
@@ -30,11 +33,12 @@
  python3-socks <!nocheck>,
  python3-stem (>= 1.8.1) <!nocheck>,
  python3-unidecode <!nocheck>,
+ python3-waitress <!nocheck>,
  uglifyjs,
  tor <!nocheck>,
  xauth <!nocheck>,
  xvfb <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://onionshare.org
 Vcs-Git: https://salsa.debian.org/pkg-privacy-team/onionshare.git
 Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/onionshare
@@ -45,7 +49,6 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
- python3-packaging,
 Description: Share a file over Tor Hidden Services anonymously and securely
  OnionShare lets you securely and anonymously share a file of any size with
  someone. It works by starting a web server, making it accessible as a Tor
@@ -62,7 +65,6 @@
  tor,
  ${misc:Depends},
  ${python3:Depends},
- python3-packaging,
 Recommends: obfs4proxy
 Description: Share a file over Tor Hidden Services anonymously and securely - cli
  OnionShare lets you securely and anonymously share a file of any size with

## onionshare 2.6.3

=== debian/changelog ===
onionshare (2.6.3-1) unstable; urgency=medium

  * New upstream release (Closes: #1070349, #1083519).
  * Move most B-D to B-D-Indep, as they are not needed for clean.
  * Remove backported patch.
  * Update patch hunks.
  * Bump Standards-Version to 4.7.2 (No changes need).

 -- Sandro Knauß <hefee@debian.org>  Wed, 05 Mar 2025 02:53:15 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- obfs4proxy,
  pybuild-plugin-pyproject,
  python3,
+Build-Depends-Indep:
+ obfs4proxy,
  python3-colorama <!nocheck>,
  python3-flask <!nocheck>,
  python3-flask-compress <!nocheck>,
@@ -38,7 +39,7 @@
  tor <!nocheck>,
  xauth <!nocheck>,
  xvfb <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://onionshare.org
 Vcs-Git: https://salsa.debian.org/pkg-privacy-team/onionshare.git
 Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/onionshare

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@ --buildsystem=pybuild

SIZES = 16 32 64 128 256 512

override_dh_auto_build:
	PYBUILD_NAME=onionshare-cli dh_auto_build --buildsystem=pybuild --sourcedirectory cli --\
	    --after-build "CURDIR=$(CURDIR) BUILD_DIR={build_dir} $(CURDIR)/debian/missing-sources/uglifyjs.sh"
	PYBUILD_NAME=onionshare dh_auto_build --buildsystem=pybuild --sourcedirectory desktop

override_dh_auto_clean:
	PYBUILD_NAME=onionshare-cli dh_auto_clean --buildsystem=pybuild --sourcedirectory cli
	PYBUILD_NAME=onionshare dh_auto_clean --buildsystem=pybuild --sourcedirectory desktop
	find . -type d -name '*.egg-info' -exec rm -rvf {} \+
	find . -type d -name '.pytest_cache' -exec rm -rvf {} \+

override_dh_auto_configure:
	PYBUILD_NAME=onionshare-cli dh_auto_configure --buildsystem=pybuild --sourcedirectory cli
	PYBUILD_NAME=onionshare dh_auto_configure --buildsystem=pybuild --sourcedirectory desktop

override_dh_auto_install:
	PYBUILD_NAME=onionshare-cli dh_auto_install --buildsystem=pybuild --destdir=debian/onionshare-cli --sourcedirectory cli
	PYBUILD_NAME=onionshare dh_auto_install --buildsystem=pybuild --destdir=debian/onionshare --sourcedirectory desktop

execute_after_dh_auto_install:
	mkdir -p debian/onionshare/usr/share/metainfo
	cp desktop/org.onionshare.OnionShare.appdata.xml debian/onionshare/usr/share/metainfo/
	mkdir -p debian/onionshare/usr/share/applications
	cp desktop/org.onionshare.OnionShare.desktop debian/onionshare/usr/share/applications/
	
	mv debian/onionshare/usr/lib/python3*/dist-packages/onionshare/resources debian/onionshare/usr/share/onionshare
	
	# Move icons to the places where they are searched
	mkdir -p debian/onionshare/usr/share/icons/hicolor/scalable/apps
	cp desktop/org.onionshare.OnionShare.svg debian/onionshare/usr/share/icons/hicolor/scalable/apps/
	$(foreach size,$(SIZES), \
	    mkdir debian/onionshare/usr/share/icons/hicolor/$(size)x$(size); \
	    mv debian/onionshare/usr/share/onionshare/onionshare-$(size).png debian/onionshare/usr/share/icons/hicolor/$(size)x$(size)/org.onionshare.OnionShare.png; \
	    ln -s /usr/share/icons/hicolor/$(size)x$(size)/org.onionshare.OnionShare.png debian/onionshare/usr/share/onionshare/onionshare-$(size).png; \
	    ) true
	
	mkdir -p debian/onionshare-cli/usr/share
	mv debian/onionshare-cli/usr/lib/python3*/dist-packages/onionshare_cli/resources debian/onionshare-cli/usr/share/onionshare-cli

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYBUILD_NAME=onionshare-cli HOME=/tmp dh_auto_test --buildsystem=pybuild --sourcedirectory cli

	# Pybuild export http_proxy=http://127.0.0.1:9/, https_proxy=https://127.0.0.1:9/
	# The tests are failing because of this pybuild give advice that if
	# network access is blocked by this, to export empty proxy variables.
	
	# You need to run the tests not as root as otherwise
	# some tests fail because they need chmod 400 to be effective to
	# generate an error.
	# Finally the tests need also a writeable home.
	
	$(eval TESTHOME = $(shell mktemp -d))
	$(eval ENV = QT_QPA_PLATFORM=offscreen QT_DEBUG_PLUGINS=1 HOME=$(TESTHOME) http_proxy= https_proxy=)
	PYBUILD_NAME=onionshare PYTHONPATH="$(CURDIR)/cli" pybuild \
	    --dir desktop \
	    --test --test-custom \
	    --test-args="$(ENV) xvfb-run python{version} -m pytest tests"
	rm -rf $(TESTHOME)
else
	@echo "** tests disabled"
endif

=== debian/tests/control ===
Test-Command: onionshare-cli --help
Depends: onionshare-cli
Restrictions: allow-stderr, superficial,
Features: test-name=onionshare-cli_help

Test-Command: mkdir "$AUTOPKGTEST_TMP/files"; XDG_CONFIG_HOME="$AUTOPKGTEST_TMP" onionshare-cli --local-only "$AUTOPKGTEST_TMP/files" --auto-stop-timer 2
Depends: onionshare-cli
Restrictions: allow-stderr,
Features: test-name=share_files

Test-Command: XDG_CONFIG_HOME="$AUTOPKGTEST_TMP" onionshare-cli --local-only --receive --auto-stop-timer 2
Depends: onionshare-cli
Restrictions: allow-stderr,
Features: test-name=receive_files

Test-Command: mkdir "$AUTOPKGTEST_TMP/website"; XDG_CONFIG_HOME="$AUTOPKGTEST_TMP" onionshare-cli --local-only --website "$AUTOPKGTEST_TMP/website" --auto-stop-timer 2
Depends: onionshare-cli
Restrictions: allow-stderr,
Features: test-name=share_website

Test-Command: XDG_CONFIG_HOME="$AUTOPKGTEST_TMP" onionshare-cli -v --local-only --chat --auto-stop-timer 2
Depends: onionshare-cli
Restrictions: allow-stderr, flaky
Features: test-name=chat_server

Test-Command: XDG_CONFIG_HOME="$AUTOPKGTEST_TMP" xvfb-run -- onionshare --help
Depends: onionshare, xvfb, xauth
Restrictions: allow-stderr, superficial,
Features: test-name=onionshare_help
